Bug 848373 - [webadmin][setupNetworks] Block actions with unsync networks
[webadmin][setupNetworks] Block actions with unsync networks
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Alona Kaplan
GenadiC
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 08:36 EDT by Alona Kaplan
Modified: 2016-02-10 14:58 EST (History)
8 users (show)

See Also:
Fixed In Version: si17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:05:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alona Kaplan 2012-08-15 08:36:58 EDT
Description of problem:
Setup Networks- actions with unsync network should be blocked.
The same logic as for unmanaged networks.
See comment 12 on bug 840825


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Alona Kaplan 2012-08-15 09:32:09 EDT
Operation with unsync network should work according to the following logic-
1. detach unsync network- permitted
2. attach unsync network- blocked with the following error message- 
"Invalid operation with unsync network: unsync network can only be detached"

Bond and unsync networks
1. In case a Nic is added to a Bond
1.1 if there is unsync network on the NIC the operation is blocked with the following error message-
"Cannot add nic with unsync network/s to a bond" 
1.2 if the unsync network is on the bond the operation is valid.

2 if creating a bond from 2 nics and one of them has unsync network the operation is blocked with the following error message-
"Cannot create a bond if one of the nics contains unsync network/s"
Comment 6 Alona Kaplan 2012-08-30 08:20:32 EDT
upstream commit 4f3e05e3aa6ef5befab4d828a6cade9fb496e209
Comment 9 GenadiC 2012-09-10 06:56:36 EDT
Verified in SI17

Note You need to log in before you can comment on or make changes to this bug.